.home-hero {
  position: relative;
  z-index: 1;
  padding-bottom: 1.25rem;
  height: clamp(50rem, calc(var(--vh, 1vh) * 100), 80rem);
  display: flex;
  flex-direction: column;
  justify-content: end;
  @media (min-width: 768px) {
    padding-left: 1.25rem;
  }
  
  & .home-hero__title {
    white-space: nowrap;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, calc(-50% + 5.625rem));
    writing-mode: vertical-rl;
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 2rem;
    letter-spacing: 0.1em;
    line-height: 1;
    font-weight: 600;
    font-size: 3rem;
    & p:first-child {
      margin-bottom: 1.5rem;
    }
    @media (min-width: 768px) {
      font-size: 4rem;
    }
    @media (min-width: 1200px) {
      font-size: 4.5rem;
    }
  }
}

.home-news {
  width: 100%;
  max-width: 30rem;
  background-color: hsl(0 0 100 / 30%);
  box-shadow: 0 0 8px 0 rgba(255, 255, 255, 0.60);
  backdrop-filter: blur(8px);
  border-radius: 2px;
  & .home-news-title {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical; 
    overflow: hidden;
  }
}

.home-blog-list {
  & .webgene-blog {
    @media (min-width: 768px) {
      display: flex;
      flex-direction: column;
      gap: 1.25rem;
    }
  }
  
  & .blog-list-content {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical; 
    overflow: hidden;
    & h1, & h2, & h3, & h4, & h5, & h6, p {
      font-size: 0.875rem;
      display: inline;
      @media (min-width: 768px) {
        font-size: 1rem;
      }
    }
    & img, & a {
      display: none;
    }
  }
}

.section-title {
  & .section-title__image {
    & img {
      width: 100%;
    }
    position: relative;
    padding: 0.75rem 1.125rem 0.625rem;
    width: 8rem;
    @media (min-width: 768px) {
      width: 10rem;
    }
    @media (min-width: 1024px) {
      width: 12.5rem;
    }
    &::before,
    &::after {
      content: "";
      position: absolute;
      aspect-ratio: 3 / 2;
      width: 1.5rem;
      background-size: 100% 100%;
      background-repeat: no-repeat;
      @media (min-width: 768px) {
        width: 1.75rem;
      }
      @media (min-width: 1200px) {
        width: 2rem;
      }
    }
    &::before {
      top: 0;
      left: 0;
      background-image: url(/system_panel/uploads/images/jp-quotation-mark-dove-blue.svg);
    }
    &::after {
      bottom: 0;
      right: 0;
      background-image: url(/system_panel/uploads/images/jp-quotation-mark-ink.svg);
    }
  }
}

.home-recruit-image {
  position: absolute;
  inset: 0;
  &::after {
    pointer-events: none;
    content: "";
    position: absolute;
    inset: 0;
    background-color: hsl(0 0 0 / 60%);
    backdrop-filter: blur(4px);
  }
  & img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
}





